Bug 975759 - [RHEVM][backend] default GW is not kept when host is added over interface with static IP
[RHEVM][backend] default GW is not kept when host is added over interface wit...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
x86_64 Linux
urgent Severity high
: ---
: 3.3.0
Assigned To: Mike Kolesnik
Martin Pavlik
network
: TestBlocker
Depends On: 972615
Blocks: 618636 978087 978089 978090 978092 978093
  Show dependency treegraph
 
Reported: 2013-06-19 06:05 EDT by Martin Pavlik
Modified: 2016-02-10 14:58 EST (History)
13 users (show)

See Also:
Fixed In Version: is7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 972615
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (169.01 KB, application/x-compressed-tar)
2013-07-15 09:40 EDT, Martin Pavlik
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 16870 None None None Never

  None (edit)
Description Martin Pavlik 2013-06-19 06:05:42 EDT
+++ This bug was initially created as a clone of Bug #972615 +++

Description of problem:

When adding new host over predefined bond with static IP, host addition fails because of missing GW field. ovirtmgmt network is set as bridgeless.

Version-Release number of selected component (if applicable):
oVirt Engine Version: 3.3.0-0.2.master.20130604215912.gitc824e6a.fc18 

How reproducible:
100%

Steps to Reproduce:
1.create new DC/CL with bridgeless ovirtmgmt network
2.on host manually define bond with static IP (used configuration is bellow)
3.add host in setup via IP assigned to bond

Actual results:
host installation fails

Expected results:
host is installed successfully

Additional info:

###default GW is missing for bond0
engine.log
2013-06-07 14:28:22,956 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.SetupNetworksVDSCommand] (pool-5-thread-50) [1a3a51d7] START, SetupNetworksVDSCommand(HostName = dell-07, HostId = 3e53426c-fff7-483c-a55c-5fcaa7c792a5, force=false, checkConnectivity=true, conectivityTimeout=120,
	networks=[ovirtmgmt {id=f814c749-0d46-4177-8576-3a9ad8fd41e9, description=Management Network, subnet=null, gateway=null, type=null, vlanId=null, stp=false, dataCenterId=e58c44fb-0207-486d-85f8-9ae956b7506a, mtu=0, vmNetwork=false, cluster=NetworkCluster {id={clusterId=null, networkId=null}, status=OPERATIONAL, display=false, required=true, migration=false}}],
	bonds=[],
	interfaces=[p1p1 {id=c8fcb42c-b751-415d-a08f-3e703ce4bc70, vdsId=3e53426c-fff7-483c-a55c-5fcaa7c792a5, macAddress=90:E2:BA:04:29:88, networkName=null, vlanId=null, bonded=null, bondName=bond0, bondOptions=null, bootProtocol=NONE, address=, subnet=, gateway=null, mtu=1500, bridged=false, speed=1000, type=0, networkImplementationDetails=null},
		p1p2 {id=f33483d5-730a-49a0-bcff-98431bba5ec7, vdsId=3e53426c-fff7-483c-a55c-5fcaa7c792a5, macAddress=90:E2:BA:04:29:89, networkName=null, vlanId=null, bonded=null, bondName=bond0, bondOptions=null, bootProtocol=NONE, address=, subnet=, gateway=null, mtu=1500, bridged=false, speed=1000, type=0, networkImplementationDetails=null},
		em1 {id=dbb8c850-4110-4080-ad30-f378181db75d, vdsId=3e53426c-fff7-483c-a55c-5fcaa7c792a5, macAddress=d0:67:e5:f0:82:44, networkName=null, vlanId=null, bonded=null, bondName=null, bondOptions=null, bootProtocol=NONE, address=, subnet=, gateway=null, mtu=1500, bridged=false, speed=0, type=0, networkImplementationDetails=null},
		em2 {id=3de99ef5-3a43-452c-b782-dc8332f03925, vdsId=3e53426c-fff7-483c-a55c-5fcaa7c792a5, macAddress=d0:67:e5:f0:82:45, networkName=null, vlanId=null, bonded=null, bondName=null, bondOptions=null, bootProtocol=NONE, address=, subnet=, gateway=null, mtu=1500, bridged=false, speed=0, type=0, networkImplementationDetails=null},
		bond0 {id=a7950e90-8b94-4c36-9327-76b30d2458b9, vdsId=3e53426c-fff7-483c-a55c-5fcaa7c792a5, macAddress=90:e2:ba:04:29:89, networkName=ovirtmgmt, vlanId=null, bonded=true, bondName=null, bondOptions=mode=active-backup miimon=150, bootProtocol=STATIC_IP, address=10.34.67.40, subnet=255.255.255.224, gateway=null, mtu=1500, bridged=false, speed=null, type=0, networkImplementationDetails=null}],
	removedNetworks=[],
	removedBonds=[]), log id: 4aa0a09f




2013-06-07 14:31:05,639 ERROR [org.ovirt.engine.core.bll.InstallVdsCommand] (pool-5-thread-50) [1a3a51d7] Host installation failed for host 3e53426c-fff7-483c-a55c-5fcaa7c792a5, dell-07.: org.ovirt.engine.core.bll.InstallVdsCommand$VdsInstallException: Failed to configure manamgent network on the host
        at org.ovirt.engine.core.bll.InstallVdsCommand.configureManagementNetwork(InstallVdsCommand.java:248) [bll.jar:]
        at org.ovirt.engine.core.bll.InstallVdsCommand.executeCommand(InstallVdsCommand.java:194) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeWithoutTransaction(CommandBase.java:1068) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeActionInTransactionScope(CommandBase.java:1153) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.runInTransaction(CommandBase.java:1623) [bll.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInSuppressed(TransactionSupport.java:174) [utils.jar:]



###gateway is not in DB
select * from vds_interface where vds_id = '3e53426c-fff7-483c-a55c-5fcaa7c792a5' and name = 'bond0';)

###comes back empty


###vdsm is reporting GATEWAY for bond
getVdsCapabilities:
bond0': {'addr': '10.34.67.40', 'cfg': {'IPADDR': '10.34.67.40', 'ONBOOT': 'yes', 'NM_CONTROLLED': 'no', 'NETMASK': '255.255.255.224', 'BONDING_OPTS': 'mode=active-backup miimon=150', 'DEVICE': 'bond0', 'GATEWAY': '10.34.67.62'}, 'mtu': '1500', 'netmask': '255.255.255.224', 'slaves': ['p1p1', 'p1p2'], 'hwaddr': '90:e2:ba:04:29:88'}



### used bond configuration
#configure first physical slave
cat > /etc/sysconfig/network-scripts/ifcfg-p1p1 << EOF
DEVICE=p1p1
ONBOOT=yes
MASTER=bond0
SLAVE=yes
NM_CONTROLLED=no
EOF
 
#configure second physical slave
cat > /etc/sysconfig/network-scripts/ifcfg-p1p2 << EOF
DEVICE=p1p2
ONBOOT=yes
MASTER=bond0
SLAVE=yes
NM_CONTROLLED=no
EOF
 
#configure bond
cat > /etc/sysconfig/network-scripts/ifcfg-bond0 << EOF
DEVICE=bond0
ONBOOT=yes
BONDING_OPTS='mode=active-backup miimon=150'
NM_CONTROLLED=no 
BOOTPROTO=static
IPADDR=10.34.67.40
PREFIX=27
GATEWAY=10.34.67.62
EOF

--- Additional comment from Martin Pavlik on 2013-06-10 10:36:33 CEST ---

this problem might be related to https://bugzilla.redhat.com/show_bug.cgi?id=958536

--- Additional comment from Martin Pavlik on 2013-06-10 15:55:08 CEST ---

also  bondName=null for bond0, might be worth checking
Comment 1 Dan Kenigsberg 2013-07-04 10:52:47 EDT
Martin, why did we need both upstream AND downstream bugs for this issue?
Comment 3 Meni Yakove 2013-07-11 09:42:46 EDT
is5

This BZ cause add host to fail, when engine try to add rhevm bridge it fail with non connectivity when default gateway is missing in  setupNetwork commend.

VDSM send the default gateway to engine:
nics = {'eth0': {'addr': '10.35.128.41',
                         'cfg': {'BOOTPROTO': 'static',
                                 'DEVICE': 'eth0',
                                 'GATEWAY': '10.35.128.254',
                                 'HWADDR': '00:15:17:3D:CD:AA',
                                 'IPADDR': '10.35.128.41',
                                 'IPV6INIT': 'yes',
                                 'NETMASK': '255.255.255.0',
                                 'NM_CONTROLLED': 'no',
                                 'ONBOOT': 'yes',
                                 'TYPE': 'Ethernet',
                                 'UUID': '6856a1d5-4d59-4eb9-b474-169a1ee37e6f'},


From engine.log:

2013-07-06 17:56:28,774 INFO  [org.ovirt.engine.core.bll.network.NetworkConfigurator] (pool-5-thread-4) [383d226d] Engine managed to communicate with VDSM agent on host orchid-vds1.qa.lab.tlv.redhat.com
2013-07-06 17:56:29,039 INFO  [org.ovirt.engine.core.bll.network.host.SetupNetworksCommand] (pool-5-thread-4) [383d226d] Running command: SetupNetworksCommand internal: true. Entities affected :  ID: c0fe869f-6575-4b0c-9fae-189fa60fa944 Type: VDS
2013-07-06 17:56:29,040 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.SetupNetworksVDSCommand] (pool-5-thread-4) [383d226d] START, SetupNetworksVDSCommand(HostName = orchid-vds1.qa.lab.tlv.redhat.com, HostId = c0fe869f-6575-4b0c-9fae-189fa60fa944, force=false, checkConnectivity=true, conectivityTimeout=120,
        networks=[rhevm {id=c0bfe0f5-a767-4c7b-9506-345ba9490098, description=Management Network, subnet=null, gateway=null, type=null, vlanId=null, stp=false, dataCenterId=e05a2a01-98b9-44df-b458-f53ce283a5ac, mtu=0, vmNetwork=true, cluster=NetworkCluster {id={clusterId=null, networkId=null}, status=OPERATIONAL, display=false, required=true, migration=false}, providedBy=null, label=null}],
        bonds=[],
        interfaces=[eth0 {id=9b3eeb19-9afb-423b-945f-f1189dcabc3a, vdsId=c0fe869f-6575-4b0c-9fae-189fa60fa944, macAddress=00:15:17:3d:cd:aa, networkName=rhevm, vlanId=null, bonded=null, bondName=null, bondOptions=null, bootProtocol=STATIC_IP, address=10.35.128.41, subnet=255.255.255.0, gateway=null, mtu=1500, bridged=false, speed=1000, type=0, networkImplementationDetails=null}],
        removedNetworks=[],
        removedBonds=[])
Comment 5 Mike Kolesnik 2013-07-15 09:09:55 EDT
Please attach relevant logs from the engine and the host
Comment 6 Martin Pavlik 2013-07-15 09:40:41 EDT
Created attachment 773759 [details]
logs
Comment 7 Martin Pavlik 2013-07-15 09:41:45 EDT
Hi Mike,

I've attached logs from original bug 972615 , will that be sufficient?
Comment 8 Mike Kolesnik 2013-07-15 11:06:10 EDT
(In reply to Martin Pavlik from comment #7)
> Hi Mike,
> 
> I've attached logs from original bug 972615 , will that be sufficient?

Yes it is good, thanks
Comment 10 Martin Pavlik 2013-07-29 03:16:28 EDT
verified on is7, host is properly added GW is kept
Comment 11 Itamar Heim 2014-01-21 17:29:24 EST
Closing - RHEV 3.3 Released
Comment 12 Itamar Heim 2014-01-21 17:29:27 EST
Closing - RHEV 3.3 Released
Comment 13 Itamar Heim 2014-01-21 17:32:21 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.